Loading...
Searching...
No Matches
itkOpenCLKernel.h File Reference
`#include "itkOpenCL.h"`
`#include "itkOpenCLGlobal.h"`
`#include "itkOpenCLEvent.h"`
`#include "itkOpenCLSize.h"`
`#include "itkOpenCLMemoryObject.h"`
`#include "itkOpenCLSampler.h"`
`#include "itkOpenCLVector.h"`
`#include "itkIndex.h"`
`#include "itkPoint.h"`
`#include "itkVector.h"`
`#include "itkCovariantVector.h"`
`#include "itkMatrix.h"`
Include dependency graph for itkOpenCLKernel.h:

Go to the source code of this file.

## Data Structures

class | itk::OpenCLKernel

## Namespaces

namespace | itk

## Macros

#define | OpenCLKernelSetArgMacroCXX(type)
#define | OpenCLKernelSetArgMacroH(type)
#define | OpenCLKernelSetArgsMacroCXX(type0, type1, type2, type3, type4)
#define | OpenCLKernelSetArgsMacroH(type0, type1, type2, type3, type4)

## Functions

bool ITKOpenCL_EXPORT | itk::operator!= (const OpenCLKernel &lhs, const OpenCLKernel &rhs)
template<typename charT, typename traits>
std::basic_ostream< charT, traits > & | itk::operator<< (std::basic_ostream< charT, traits > &strm, const OpenCLKernel &kernel)
bool ITKOpenCL_EXPORT | itk::operator== (const OpenCLKernel &lhs, const OpenCLKernel &rhs)

## Macro Definition Documentation

## OpenCLKernelSetArgMacroCXX

#define OpenCLKernelSetArgMacroCXX | ( |  | type | ) |

Value:
cl_int OpenCLKernel::SetArg(const cl_uint index, const type value) \
{ \
return clSetKernelArg(this->m_KernelId, index, sizeof(value), (const void *)&value); \
}

Definition at line 113 of file itkOpenCLKernel.h.

## OpenCLKernelSetArgMacroH

#define OpenCLKernelSetArgMacroH | ( |  | type | ) |

Value:
cl_int SetArg(const cl_uint index, const type value);

Definition at line 111 of file itkOpenCLKernel.h.

## OpenCLKernelSetArgsMacroCXX

#define OpenCLKernelSetArgsMacroCXX | ( |  | type0,
|  |  | type1,
|  |  | type2,
|  |  | type3,
|  |  | type4 )

Value:
OpenCLKernelSetArgMacroCXX(type0) OpenCLKernelSetArgMacroCXX(type1) OpenCLKernelSetArgMacroCXX(type2) \
OpenCLKernelSetArgMacroCXX(type3) OpenCLKernelSetArgMacroCXX(type4)
OpenCLKernelSetArgMacroCXX
#define OpenCLKernelSetArgMacroCXX(type)
Definition itkOpenCLKernel.h:113

Definition at line 123 of file itkOpenCLKernel.h.

## OpenCLKernelSetArgsMacroH

#define OpenCLKernelSetArgsMacroH | ( |  | type0,
|  |  | type1,
|  |  | type2,
|  |  | type3,
|  |  | type4 )

Value:
OpenCLKernelSetArgMacroH(type0) OpenCLKernelSetArgMacroH(type1) OpenCLKernelSetArgMacroH(type2) \
OpenCLKernelSetArgMacroH(type3) OpenCLKernelSetArgMacroH(type4)
OpenCLKernelSetArgMacroH
#define OpenCLKernelSetArgMacroH(type)
Definition itkOpenCLKernel.h:111

Definition at line 119 of file itkOpenCLKernel.h.

Generated on 1768596610 for elastix by 1.15.0 |